---
title: Document.exitFullscreen()
slug: Web/API/Document/exitFullscreen
tags:
  - API
  - DOM
  - Document
  - Full
  - Full-screen
  - Fullscreen API
  - Method
  - Reference
  - exitFullscreen
  - fullscreen
  - screen
---
<div>{{ApiRef("Fullscreen API")}}</div>

<p><span class="seoSummary">The {{domxref("Document")}} method <code><strong>exitFullscreen()</strong></code> requests that the element on this document which is currently being presented in full-screen mode be taken out of full-screen mode, restoring the previous state of the screen.</span> This usually reverses the effects of a previous call to {{domxref("Element.requestFullscreen()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>exitPromise</em> = <em>document</em>.exitFullscreen();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}} which is resolved once the {{Glossary("user agent")}} has finished exiting full-screen mode. If an error occurs while attempting to exit full-screen mode, the <code>catch()</code> handler for the promise is called.</p>

<h2 id="Example">Example</h2>

<p>This example causes the current document to toggle in and out of a full-screen presentation whenever the mouse button is clicked within it.</p>

<pre class="brush: js notranslate">document.onclick = function (event) {
  if (document.fullscreenElement) {
    document.exitFullscreen()
      .then(() =&gt; console.log("Document Exited form Full screen mode"))
      .catch((err) =&gt; console.error(err))
  } else {
    document.documentElement.requestFullscreen();
  }
}</pre>

<div class="note">
<p><strong>Note:</strong> For a more complete example, see the {{SectionOnPage("/en-US/docs/Web/API/Element/requestFullScreen", "Example")}}.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#dom-document-exitfullscreen", "Document.exitFullscreen()")}}</td>
   <td>{{Spec2("Fullscreen")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.exitFullscreen")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API</a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{ domxref("Element.requestFullscreen()") }}</li>
 <li>{{ domxref("Document.fullscreenElement") }}</li>
 <li>{{ cssxref(":fullscreen") }} and {{cssxref("::backdrop")}}</li>
 <li>The {{HTMLElement("iframe")}} {{ HTMLAttrXRef("allowfullscreen", "iframe") }} attribute</li>
</ul>
